Skip to main content
POST
/
bundles
Create a product bundle
curl --request POST \
  --url https://api.alguna.io/bundles \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Standard Plan",
  "prices": [
    {
      "billing_direction": "arrears",
      "billing_interval": "monthly",
      "charge_on_contract_start": true,
      "fee_type": "fixed",
      "product_id": "<string>",
      "type": "unit",
      "billing_frequency": "recurring",
      "display_order": 123,
      "metric_ids": [
        "<string>"
      ],
      "trial_period_days": 123
    }
  ],
  "description": "Our standard plan bundle"
}
'
{
  "id": "bnd_01H1VECT",
  "name": "Standard Plan",
  "prices": [
    {
      "billing_direction": "arrears",
      "billing_interval": "monthly",
      "charge_on_contract_start": true,
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "USD",
      "fee_type": "fixed",
      "id": "<string>",
      "product": {
        "description": "<string>",
        "fee_type": "fixed",
        "id": "<string>",
        "name": "Platform Fee",
        "payment_terms": "arrears",
        "billing_frequency": "recurring",
        "metric_ids": [
          "<string>"
        ]
      },
      "product_id": "<string>",
      "type": "unit",
      "updated_at": "2023-11-07T05:31:56Z",
      "billing_frequency": "recurring",
      "discount": {
        "amount": "<string>",
        "discount_type": "percentage",
        "duration_type": "monthly_rolling",
        "duration_unit": "<string>",
        "duration_value": 123
      },
      "display_order": 123,
      "expression_pricing_model": {
        "charges": [
          {
            "billing_direction": "advance",
            "description": "<string>",
            "quantity_expression": "<string>",
            "unit_price_expression": "<string>"
          }
        ]
      },
      "fixed_pricing_model": {
        "price_per_unit": "<string>",
        "total": "<string>",
        "units": 123
      },
      "graduated_percentage_pricing_model": {
        "tiers": [
          {
            "min_units": 123,
            "fixed_fee": "<string>",
            "max_units": 123,
            "percentage": "<string>"
          }
        ]
      },
      "graduated_tiered_pricing_model": {
        "tiers": [
          {
            "min_units": 123,
            "fixed_fee": "<string>",
            "max_units": 123,
            "price_per_unit": "<string>"
          }
        ],
        "units": 123
      },
      "maximum_spend": {
        "amount": "<string>",
        "period": "<string>"
      },
      "metric_ids": [
        "<string>"
      ],
      "minimum_spend": {
        "amount": "<string>",
        "period": "<string>"
      },
      "prepaid_fixed_tiered_pricing_model": {
        "overages_charge_interval": "<string>",
        "prepaid_units": 123,
        "tiers": [
          {
            "min_units": 123,
            "fixed_fee": "<string>",
            "max_units": 123,
            "price_per_unit": "<string>"
          }
        ]
      },
      "prepaid_tiered_pricing_model": {
        "prepaid_units": 123,
        "tiers": [
          {
            "min_units": 123,
            "fixed_fee": "<string>",
            "max_units": 123,
            "price_per_unit": "<string>"
          }
        ]
      },
      "tiered_percentage_pricing_model": {
        "tiers": [
          {
            "min_units": 123,
            "fixed_fee": "<string>",
            "max_units": 123,
            "percentage": "<string>"
          }
        ]
      },
      "tiered_pricing_model": {
        "tiers": [
          {
            "min_units": 123,
            "fixed_fee": "<string>",
            "max_units": 123,
            "price_per_unit": "<string>"
          }
        ],
        "units": 123
      },
      "trial_period_days": 123,
      "unit_pricing_model": {
        "price_per_unit": "<string>"
      },
      "volume_percentage_pricing_model": {
        "percentage": "<string>",
        "price_per_unit": "<string>",
        "fixed_fee": "<string>"
      }
    }
  ],
  "description": "Our standard plan bundle"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01
Idempotency-Key
string

A unique string used to ensure the request is processed exactly once. If you retry a request with the same idempotency key within 24 hours, the original response is returned without re-executing the operation.

Maximum string length: 255
Example:

"ik_a1b2c3d4e5f6"

Body

application/json
name
string
required

The name of the bundle

Example:

"Standard Plan"

prices
object[]
required

Prices to include in this bundle

description
string | null

A brief description of the bundle

Example:

"Our standard plan bundle"

Response

Success

id
string
required

Unique identifier for the bundle

Example:

"bnd_01H1VECT"

name
string
required

The name of the bundle

Example:

"Standard Plan"

prices
object[]
required

Prices included in this bundle

description
string | null

A brief description of the bundle

Example:

"Our standard plan bundle"